let BasesConocimientoBotsController = {
	url: null,

	resetData() {
		let self = this;

		self.url = null;
	},

	setEvents() {
		let self = this;
		self.resetData();

		// Reducción de Header
		headerSectionHeight(0);

		// Añadir titulo
		$('#page-title').text(pf.const.language.RSC15);

		// Valores de configuración
		let config = JSON.parse(atob(sessionStorage.getItem('STCMBackEnd:config')));
		self.url = config.URLQnA;
		if(self.url == '' || self.url == undefined || self.url == null) {
			let warningTitle = pf.const.language.RSC61;
			let warningContent = pf.const.language.RSC993;
			pf.utils.showInfoDialog(warningTitle, warningContent);
			return;
		}

		self.printIframe();
	},

	printIframe() {
		let self = this;
		let iframe = `
			<div class="">
				<iframe src="${self.url}" class="w-100 he-cal-100vh-n116 ml-1" allowfullscreen></iframe>
			</div>
		`;
		$('#iframeBots').html(iframe);
	}
};